import { SearchOutlined } from "@ant-design/icons";
import { Form, Input, Popover, Select } from "antd";
import React from "react";

export default function RelationPanel() {
  const RelationItem = () => {
    const [collapsed, setCollapsed] = React.useState(false);
    const relationOptions = [
      { label: "一对一", value: "1:1" },
      { label: "一对多", value: "1:n" },
      { label: "多对多", value: "n:m" },
    ];
    return (
      <div className="
        border-b-solid 
        border-b-[#e4e4e4] 
        border-b-[1px]"
      >
        <div
          className="
          header 
          flex 
          items-center 
          justify-between 
          leading-[40px] 
          hover:bg-[#fafafa] 
          cursor-pointer 
          m-b-[10px]"
          onClick={() => setCollapsed(!collapsed)}
        >
          <div className="font-bold">table_1_id_fk关系</div>
          <div>
            <i className="iconfont icon-open m-r-10px" />
          </div>
        </div>
        <div className="content overflow-hidden" style={{ height: collapsed ? 0 : "auto" }}>
          <Form layout="vertical">
            <div className="flex justify-between">
              <Form.Item label="主键">relation_name</Form.Item>
              <Form.Item label="外键">relation_name</Form.Item>
              <Popover
                trigger="click"
                placement="right"
                content={
                  <div className="w-200px">
                    
                  </div>
                }
              >
                <div className="rounded-4px cus-btn w-32px h-32px bg-#eee flex-none text-center leading-32px cursor-pointer hover:bg-#ddd">
                  <i className="iconfont icon-gengduo" />
                </div>
              </Popover>
            </div>
            <Form.Item label="对应关系" layout="vertical">
              <Select className="w-full" options={relationOptions}></Select>
            </Form.Item>
          </Form>
        </div>
      </div>
    );
  };
  return (
    <div className="px-12px">
      <Input placeholder="输入关键字搜索" className="m-b-10px" suffix={<SearchOutlined />} />
      <RelationItem />
    </div>
  );
}
