import { DeleteOutlined, SearchOutlined } from "@ant-design/icons";
import { Button, Input, Form } from "antd";
import React, { useState } from "react";
import CustomColorPicker from "@/components/CustomColorPicker";

export default function RemarkPanel() {
  const RemarkItem = () => {
    const [collapsed, setCollapsed] = useState(false);
    return (
      <div
        className="
        border-b-solid 
        border-b-[#e4e4e4] 
        border-b-[1px]"
      >
        <div
          className="
          header 
          flex 
          items-center 
          justify-between 
          leading-[40px] 
          hover:bg-[#fafafa] 
          cursor-pointer 
          m-b-[10px]"
          onClick={() => setCollapsed(!collapsed)}
        >
          <div className="font-bold">备注标题</div>
          <div>
            <i className="iconfont icon-open m-r-10px" />
          </div>
        </div>
        <div
          className="content overflow-hidden"
          style={{ height: collapsed ? 0 : "auto" }}
        >
          <Form layout="vertical">
            <Form.Item label="标题" layout="vertical">
              <Input placeholder="请输入" />
            </Form.Item>
            <Form.Item label="" layout="vertical" wrapperCol={{ span: 24 }}>
              <div className="flex gap-12px">
                <Input.TextArea placeholder="内容" autoSize={false} style={{ resize: 'none'}}/>
                <div>
                  <CustomColorPicker>
                    <div className="rounded-4px cus-btn w-32px h-32px bg-#eee flex-none cursor-pointer shadow-inner"></div>
                  </CustomColorPicker>
                  <div className="rounded-4px cus-btn w-32px h-32px bg-#eee flex-none cursor-pointer text-center leading-32px color-red">
                    <DeleteOutlined />
                  </div>
                </div>
              </div>
            </Form.Item>
          </Form>
        </div>
      </div>
    );
  };
  return (
    <div className="px-12px">
      <div className="flex gap-12px">
        <Input
          placeholder="输入关键字搜索"
          className="m-b-10px"
          suffix={<SearchOutlined />}
        />
        <Button type="primary">添加注释</Button>
      </div>
      <RemarkItem />
    </div>
  );
}
