import { DeleteOutlined, SearchOutlined } from '@ant-design/icons'
import { Button, Input } from 'antd'
import React from 'react'
import CustomColorPicker from '@/components/CustomColorPicker'

export default function ThemePanel() {
  return (
    <div className="px-12px">
      <div className='flex gap-12px'>
        <Input placeholder="输入关键字搜索" className="m-b-10px" suffix={<SearchOutlined />} />
        <Button type='primary'>添加区域</Button>
      </div>
      <div className="m-b-10px flex justify-between gap-12px">
        <Input placeholder='主题名称'/>
        <CustomColorPicker>
          <div className="rounded-4px cus-btn w-32px h-32px bg-#eee flex-none cursor-pointer shadow-inner"></div>
        </CustomColorPicker>
        <div className="rounded-4px cus-btn w-32px h-32px bg-#eee flex-none cursor-pointer text-center leading-32px color-red">
          <DeleteOutlined/>
        </div>
      </div>
    </div>
  )
}
